<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use File;
use App\Library\CommonController;

class BillCheckingTransaction extends Controller
{
    // create bill type mapping
    public function createBillTypeMapping(Request $request)
    {
        // dd($request->all());
        if($request->id && $request->employee_id && $request->bill_type_id && $request->is_active && $request->tenant_id){
            $result = $request->all();
            $data = DB::table('tai_bc_employee_bill_type_mapping')->where('id',$request->id)->update($result);
            if($data){
                return response()->json([ 'status'=> 1, 'message'=> "Data Updated Successfully !!!",'data' => $data]);
            }else{
                return response()->json([ 'status'=> 0, 'message'=> "Data Not Updated !!!",'data' => null ]);
            }
        }
        elseif($request->tenant_id && $request->employee_id && $request->bill_type_id ){
            $result = $request->all();
            $data = DB::table('tai_bc_employee_bill_type_mapping')->insert($result);
            if($data){
                return response()->json([ 'status'=> 1, 'message'=> "Data Inserted Successfully !!!",'data' => $data]);
            }else{
                return response()->json([ 'status'=> 0, 'message'=> "Data Not Inserted !!!",'data' => null]);
            }
        }
        else{
            return response()->json([ 'status'=> 0, 'message'=> "Required All Data !!!",'data' => $data]);
        }
    }

    // get all data
    public function getBillTypeMapping(){
        $data = DB::table('tai_bc_employee_bill_type_mapping')->get();
        return response()->json([ 'status'=> 0, 'message'=> "Data Not Inserted !!!",'data' => $data]);
    }
}