<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Library\OwnershipController;
use DB;

class MappingController extends Controller
{
    public function owner($type, $user_id, $project_id = null, $ticket_id = null, $basket_id = null, $task_id = null)
    {
        $data = request()->all();

        if ($data['type'] == 'PROJECT') {
            $result = DB::table('tai_owner_mapping_master')
                ->where('type', 'PROJECT')
                ->where('user_id', $data['user_id'])
                ->get();

            if (count($result)) {
                return "PROJECT_OWNER";
            } else {
                return "NO";
            }
        }

        if ($data['type'] == 'TICKET') {
            $result = DB::table('tai_owner_mapping_master')
                ->where('type', 'TICKET')
                ->where('project_id', $data['project_id'])
                ->where('user_id', $data['user_id'])
                ->get();

            if (count($result)) {
                return "TICKET_OWNER";
            } else {
                return "NO";
            }
            //return $result;
        }

        if ($data['type'] == 'BASKET') {
            $result = DB::table('tai_owner_mapping_master')
                ->where('type', 'BASKET')
                ->where('project_id', $data['project_id'])
                ->where('project_id', $data['ticket_id'])
                ->where('user_id', $data['user_id'])
                ->get();

            if (count($result)) {
                return "BASKET_OWNER";
            } else {
                return "NO";
            }
            //return $result;        
        }

        if ($data['type'] == 'TASK') {
            $result = DB::table('tai_owner_mapping_master')
                ->where('type', 'TASK')
                ->where('project_id', $data['project_id'])
                ->where('project_id', $data['ticket_id'])
                ->where('project_id', $data['task_id'])
                ->where('user_id', $data['user_id'])
                ->get();

            if (count($result)) {
                return "TASK_OWNER";
            } else {
                return "NO";
            }
            //return $result;
        }

        // return $result;
    }

    public function postData(Request $request)
    {
        $data = $request->toArray();

        $result = OwnershipController::mapping($data['operation'], $data['type'], $data['user_id'], $data['project_id'], $data['ticket_id'], $data['basket_id'], $data['task_id']);

        if ($result > 0) {
            return response()->json(['status' => 1, 'message' => "Record Found !!!", 'data' => $result]);
        } else {
            return response()->json(['status' => 0, 'message' => "No Record Found !!!", 'data' => $request->toArray()]);
        }
    }

    public function owner_mapping()
    {
        $ticketBasket = DB::table('tai_ticket_basket')->select('id as basket_id', 'tenant_id', 'ticket_id', 'basket_owner as user_id')->whereNotNull('basket_owner')->where('is_active', 1)->get();
        foreach ($ticketBasket as $tb) {
            $tb->created_at = date('Y-m-d H:i:s');
            $tb->updated_at = date('Y-m-d H:i:s');
            // DB::table('tai_owner_mapping_master_new')->insert((array)$tb);
        }
        // dd($ticketBasket);
    }
}
