<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use DB;
use Hash;

class ResetPasswordController extends Controller
{
    public function forgotPassOtp(Request $request){
        $otp = rand('1111','9999');

        if(filter_var($request->email, FILTER_VALIDATE_EMAIL)) {
            $check = DB::table('tai_employee_master')->where('email_id', $request->email)->first();
            if($check){

                $details = [
                    'title' => 'Mail from Techneai',
                    'body' => 'This is for testing email using smtp',
                    'otp' => $otp
                ];
                try{
                    \Mail::to($request->email)->send(new \App\Mail\ForgotPasswordMail($details));

                    DB::table('tai_employee_master')->where('id', $check->id)->update(['otp' => $otp]);
                    return response()->json([ 'status'=> 1,'message'=> "OTP Sent Successfully on Mail !", 'data' => null]);
                }
                catch(Exception $e){
                    return response()->json([ 'status'=> 0,'message'=> "Mail Not Sent", 'data' => null]);
                }
            }else{
                return response()->json([ 'status'=> 0,'message'=> "No Data Found", 'data' => null]);
            }
        }else if(is_numeric($request->email)){
            $check = DB::table('tai_employee_master')->where('contact_no', $request->email)->first();
            if($check){
                DB::table('tai_employee_master')->where('id', $check->id)->update(['otp' => $otp]);
                $ch = curl_init();
                $user= "DevelopmentTeam";
                $pass= '74@CU$dt';
                $receipientno = $request->email;
                $senderID= "CSPLHO";
                $msgtxt= "OTP for reset password is $otp";
                $url="http://smsjust.com/blank/sms/user/urlsms.php?username=".urlencode($user)."&pass=".urlencode($pass)."&senderid=".urlencode($senderID)."&dest_mobileno=".urlencode($receipientno)."&message=".urlencode($msgtxt)."&response=Y";
                
                curl_setopt($ch,CURLOPT_URL, $url);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
                $response = curl_exec($ch);
                curl_close($ch);
                
                if($response == false){
                    return response()->json([ 'status'=> 0,'message'=> "Sms Not Sent", 'data' => null]);
                }else{
                    return response()->json([ 'status'=> 1,'message'=> "Sms Sent", 'data' => $response]);
                }   
            }else{
                return response()->json([ 'status'=> 0,'message'=> "Data Not Exist", 'data' => null]);
            }
        }else{
            return response()->json([ 'status'=> 0,'message'=> "Invalid Input", 'data' => null]);
        }
    }

    public function forgotPassOtpBackup(Request $request){
        $rand = rand('1111','9999');
        $details = [
            'title' => 'Mail from Techneai',
            'body' => 'This is for testing email using smtp',
            'otp' => $rand
        ];
        $check = DB::table('tai_employee_master')->where('email_id', $request->email)->orWhere('contact_no', $request->email)->get();
        if(count($check)>0){
            if(filter_var($request->email, FILTER_VALIDATE_EMAIL)) {
                try{
                    \Mail::to($request->email)->send(new \App\Mail\ForgotPasswordMail($details));
                    DB::table('tai_employee_master')->where('email_id', $request->email)->orWhere('contact_no', $request->email)->update(['otp' => $rand]);
                    return response()->json([ 'status'=> 1,'message'=> "Mail Sent", 'data' => null]);
                }
                catch(Exception $e){
                    return response()->json([ 'status'=> 1,'message'=> "Mail Not Sent", 'data' => null]);
                }
                // \Mail::to($request->email)->send(new \App\Mail\ForgotPasswordMail($details));
                // DB::table('tai_employee_master')->where('email_id', $request->email)->orWhere('contact_no', $request->email)->update(['otp' => $rand]);
                // return response()->json([ 'status'=> 1,'message'=> "Mail Sent", 'data' => null]);
            }
            else if(is_numeric($request->email)){
                $ch = curl_init();
                $user= "DevelopmentTeam";
                $pass= '74@CU$dt';
                $receipientno = $request->email;
                $senderID= "CSPLHO";
                $msgtxt= 'OTP for reset password is';
    
                $url="http://smsjust.com/blank/sms/user/urlsms.php?username=".urlencode($user)."&pass=".urlencode($pass)."&senderid=".urlencode($senderID)."&dest_mobileno=".urlencode($receipientno)."&message=".urlencode($msgtxt)."&response=Y";
                
                curl_setopt($ch,CURLOPT_URL, $url);
                curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
    
                $buffer = curl_exec($ch);
    
                curl_close($ch);
    
                //  ($buffer);
                if($buffer == false){
                    //return array('status' => false, 'message'=> 'Buffer is empty','response'=> $buffer);
                    return response()->json([ 'status'=> 0,'message'=> "Sms Not Sent", 'data' => null]);
                }else{
                    // $arrayName = array('status' => true, 'message'=> 'Success', 'response'=> $buffer);
                    // return $arrayName;
                    return response()->json([ 'status'=> 1,'message'=> "Sms Sent", 'data' => $buffer]);
                }
                // return response()->json([ 'status'=> 1,'message'=> "Sms Sent", 'data' => null]);
                
            }
            else{
                return response()->json([ 'status'=> 0,'message'=> "Mail Not Sent", 'data' => null]);
            }
        }else{
            return response()->json([ 'status'=> 0,'message'=> "Data Not Exist", 'data' => null]);
        }
        // try{
        //     \Mail::to($request->email)->send(new \App\Mail\ForgotPasswordMail($details));
        //     DB::table('tai_employee_master')->where('email_id', $request->email)->orWhere('contact_no', $request->email)->update(['otp' => $rand]);
        //     return response()->json([ 'status'=> 1,'message'=> "Mail Sent", 'data' => null]);
        // }
        // catch(Exception $e){
        //     return response()->json([ 'status'=> 1,'message'=> "Mail Not Sent", 'data' => null]);
        // }
    }

    public function resetPasswordOtp(Request $request){

        $res = DB::table('tai_employee_master')->where('email_id', $request->email)->orWhere('contact_no',$request->email)->get();

        if($res[0]->otp == $request->otp){                   
            return response()->json([ 'status'=> 1,'message'=> "Success", 'data' => null ]);  
        }else{
            return response()->json([ 'status'=> 0,'message'=> "Enter correct otp", 'data' => null]);
        }
        //dd($request->);
        // return response()->json([ 'status'=> 1,'message'=> "Mail Sent", 'data' => $request->email]);
    }

    public function resetPassword(Request $request){

        $res = DB::table('tai_employee_master')->where('email_id', $request->email)->orWhere('contact_no',$request->email)->where('otp', $request->otp)->get();

        if(count($res) > 0){  
            if($request->password == $request->confirm_password){
                DB::table('tai_employee_master')->where('id', $res[0]->id)->update(['password'=>Hash::make($request->password)]);
                return response()->json([ 'status'=> 1,'message'=> "Password Updated Successfully", 'data' => null]);  
            }else{
                return response()->json([ 'status'=> 0,'message'=> "Password and Confirm Password should be same", 'data' => null]);
            }          
        }else{
            return response()->json([ 'status'=> 0,'message'=> "No Rec", 'data' => null]);
        }
    }
}
