<?php

namespace App\Library;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use DB;

class OwnershipController extends Controller
{
    // dummy

    /*********** 
     * Operations :  Insert,Update
     * Type : PROJECT,TICKET,TASK,BASKET
     * **********/
    static function mapping($operation, $type, $user_id, $project_id = null, $ticket_id = null, $basket_id = null, $task_id = null, $tenant_id = null)
    {
        if (!is_array($user_id)) {
            $user_id = explode(',', $user_id);
        }

        $temp = [];

        $data['tenant_id'] = $tenant_id;
        if ($type && $operation && $user_id) {
            if($tenant_id){
                $data['tenant_id'] = $tenant_id;
            }

            if ($type == 'PROJECT') {

                $data['project_id'] = $project_id;
                $data['created_at'] = NOW();
                $data['type'] = $type;

                if ($operation == 'Insert') {
                    foreach ($user_id as $u) {
                        $data['user_id'] = $u;


                        return DB::table('tai_owner_mapping_master')->insert($data);
                    }
                }
                if ($operation == 'Update') {

                    DB::table('tai_owner_mapping_master')
                        ->where('project_id', $project_id)
                        ->update(['is_active' => 0]);

                    foreach ($user_id as $u) {

                        $userExists = DB::table('tai_owner_mapping_master')
                            ->where('user_id', $u)
                            ->where('project_id', $project_id)
                            ->first();

                        if (!$userExists) {
                            $data['user_id'] = $u;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        } else {
                            DB::table('tai_owner_mapping_master')
                                ->where('user_id', $u)
                                ->where('project_id', $project_id)
                                ->update(['is_active' => 1]);
                        }
                    }
                }
            }
            if ($type == 'TICKET') {
                if ($ticket_id) {
                    $data['type'] = $type;
                    $data['project_id'] = $project_id;
                    $data['ticket_id'] = $ticket_id;
                    $data['created_at'] = NOW();

                    if ($operation == 'Insert') {
                        foreach ($user_id as $u) {
                            $data['user_id'] = $u;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        }
                    }
                    if ($operation == 'Update') {

                        DB::table('tai_owner_mapping_master')
                            ->where('ticket_id', $ticket_id)
                            ->update(['is_active' => 0]);

                        foreach ($user_id as $ui) {

                            $userExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                // ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->first();

                            if (!$userExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                DB::table('tai_owner_mapping_master')
                                    ->where('user_id', $ui)
                                    // ->where('project_id', $project_id)
                                    ->where('ticket_id', $ticket_id)
                                    ->update([
                                        'project_id' => $project_id,
                                        'is_active' => 1,
                                        'updated_at' => date('Y-m-d H:i:s')
                                    ]);
                            }
                        }
                    }
                } else {
                    return "Ticket Field is empty";
                }
            }
            if ($type == 'BASKET') {
                if ($basket_id) {
                    $data['type'] = $type;
                    $data['project_id'] = $project_id;
                    $data['ticket_id'] = $ticket_id;
                    $data['basket_id'] = $basket_id;
                    $data['created_at'] = NOW();

                    if ($operation == 'Insert') {
                        foreach ($user_id as $ui) {
                            $data['user_id'] = $ui;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        }
                    }
                    if ($operation == 'Update') {

                        DB::table('tai_owner_mapping_master')
                            // ->where('project_id', $project_id)
                            ->where('ticket_id', $ticket_id)
                            ->where('basket_id', $basket_id)
                            ->update(['is_active' => 0]);

                        foreach ($user_id as $ui) {

                            $userExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                // ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->where('basket_id', $basket_id)
                                ->first();

                            if (!$userExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                DB::table('tai_owner_mapping_master')
                                    ->where('user_id', $ui)
                                    // ->where('project_id', $project_id)
                                    ->where('ticket_id', $ticket_id)
                                    ->where('basket_id', $basket_id)
                                    ->update(['is_active' => 1]);
                            }
                        }
                    }
                } else {
                    return "Basket Field is empty";
                }
            }
            if ($type == 'TASK') {
                if ($task_id) {
                    $data['type'] = $type;
                    $data['project_id'] = $project_id;
                    $data['ticket_id'] = $ticket_id;
                    $data['basket_id'] = $basket_id;
                    $data['task_id'] = $task_id;
                    $data['created_at'] = NOW();

                    if ($operation == 'Insert') {
                        foreach ($user_id as $ui) {
                            $data['user_id'] = $ui;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        }
                    }
                    if ($operation == 'Update') {

                        DB::table('tai_owner_mapping_master')
                            // ->where('project_id', $project_id)
                            ->where('ticket_id', $ticket_id)
                            ->where('basket_id', $basket_id)
                            ->where('task_id', $task_id)
                            ->update(['is_active' => 0]);

                        foreach ($user_id as $ui) {

                            $userExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                // ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->where('basket_id', $basket_id)
                                ->where('task_id', $task_id)
                                ->first();

                            if (!$userExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                DB::table('tai_owner_mapping_master')
                                    ->where('user_id', $ui)
                                    // ->where('project_id', $project_id)
                                    ->where('ticket_id', $ticket_id)
                                    ->where('basket_id', $basket_id)
                                    ->where('task_id', $task_id)
                                    ->update(['is_active' => 1]);
                            }
                        }
                    }
                } else {
                    return "Task Field is empty";
                }
            }
            if ($type == 'REVIEWER') {
                $data['project_id'] = $project_id;
                $data['created_at'] = NOW();
                $data['type'] = $type;

                if ($operation == 'Insert') {
                    foreach ($user_id as $u) {
                        $data['user_id'] = $u;
                        $result = DB::table('tai_owner_mapping_master')->insert($data);
                    }
                }
                if ($operation == 'Update') {
                    DB::table('tai_owner_mapping_master')
                        ->where('type', $type)
                        ->where('project_id', $project_id)
                        ->update(['is_active' => 0]);
                    foreach ($user_id as $u) {
                        $userExists = DB::table('tai_owner_mapping_master')
                            ->where('user_id', $u)
                            ->where('type', $type)
                            ->where('project_id', $project_id)
                            ->first();
                        if (!$userExists) {
                            $data['user_id'] = $u;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        } else {
                            DB::table('tai_owner_mapping_master')
                                ->where('user_id', $u)
                                ->where('type', $type)
                                ->where('project_id', $project_id)
                                ->update(['is_active' => 1]);
                        }
                    }
                }
            }
            if ($type == 'TICKET_REVIEWER') {
                $data['project_id'] = $project_id;
                $data['ticket_id'] = $ticket_id;
                $data['created_at'] = NOW();
                $data['type'] = $type;

                if ($operation == 'Insert') {
                    foreach ($user_id as $u) {
                        $data['user_id'] = $u;
                        return DB::table('tai_owner_mapping_master')->insert($data);
                    }
                }
                if ($operation == 'Update') {
                    DB::table('tai_owner_mapping_master')
                        ->where('type', $type)
                        ->where('ticket_id', $ticket_id)
                        ->where('project_id', $project_id)
                        ->update(['is_active' => 0]);
                    foreach ($user_id as $u) {
                        $userExists = DB::table('tai_owner_mapping_master')
                            ->where('user_id', $u)
                            ->where('type', $type)
                            ->where('ticket_id', $ticket_id)
                            ->where('project_id', $project_id)
                            ->first();
                        if (!$userExists) {
                            $data['user_id'] = $u;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        } else {
                            DB::table('tai_owner_mapping_master')
                                ->where('user_id', $u)
                                ->where('type', $type)
                                ->where('ticket_id', $ticket_id)
                                ->where('project_id', $project_id)
                                ->update(['is_active' => 1]);
                        }
                    }
                }
            }
            return $temp;
        }
    }


    static function mappingOld2($operation, $type, $user_id, $project_id, $ticket_id = null, $basket_id = null, $task_id = null)
    {
        // $data = request()->all();
        // unset($data['operation'], $data['user_id']);

        // return $user_id;
        if (!is_array($user_id)) {
            $user_id = explode(',', $user_id);
        }

        $temp = [];
        if ($type && $operation && $user_id && $project_id) {
            if ($type == 'PROJECT') {
                if ($operation == 'Insert') {
                    $data['type'] = $type;
                    $data['project_id'] = $project_id;
                    $data['created_at'] = NOW();

                    foreach ($user_id as $ui) {
                        $data['user_id'] = $ui;
                        DB::table('tai_owner_mapping_master')->insert($data);
                    }
                }
                if ($operation == 'Update') {

                    DB::table('tai_owner_mapping_master')
                        ->where('project_id', $project_id)
                        ->update(['is_active' => 0]);

                    foreach ($user_id as $ui) {

                        $userExists = DB::table('tai_owner_mapping_master')
                            ->where('user_id', $ui)
                            ->where('project_id', $project_id)
                            ->first();

                        if (!$userExists) {
                            $data['user_id'] = $ui;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        } else {
                            DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                ->where('project_id', $project_id)
                                ->update(['is_active' => 1]);
                        }
                    }
                }
            }
            if ($type == 'TICKET') {
                if ($ticket_id) {
                    if ($operation == 'Insert') {
                        foreach ($user_id as $ui) {
                            $data['tenant_id'] = '';
                            $data['type'] = $type;
                            $data['user_id'] = $ui;
                            $data['project_id'] = $project_id;
                            $data['ticket_id'] = $ticket_id;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        }
                    }
                    if ($operation == 'Update') {

                        DB::table('tai_owner_mapping_master')
                            ->where('project_id', $project_id)
                            ->where('ticket_id', $ticket_id)
                            ->update(['is_active' => 0]);

                        foreach ($user_id as $ui) {

                            $userExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->first();

                            if (!$userExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                DB::table('tai_owner_mapping_master')
                                    ->where('user_id', $ui)
                                    ->where('project_id', $project_id)
                                    ->where('ticket_id', $ticket_id)
                                    ->update(['is_active' => 1]);
                            }
                        }
                    }
                } else {
                    return "Ticket Field is empty";
                }
            }
            if ($type == 'BASKET') {
                if ($basket_id) {
                    if ($operation == 'Insert') {
                        foreach ($user_id as $ui) {
                            $data['user_id'] = $ui;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        }
                    }
                    if ($operation == 'Update') {

                        DB::table('tai_owner_mapping_master')
                            ->where('project_id', $project_id)
                            ->where('ticket_id', $ticket_id)
                            ->where('basket_id', $basket_id)
                            ->update(['is_active' => 0]);

                        foreach ($user_id as $ui) {

                            $userExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->where('basket_id', $basket_id)
                                ->first();

                            if (!$userExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                DB::table('tai_owner_mapping_master')
                                    ->where('user_id', $ui)
                                    ->where('project_id', $project_id)
                                    ->where('ticket_id', $ticket_id)
                                    ->where('basket_id', $basket_id)
                                    ->update(['is_active' => 1]);
                            }
                        }
                    }
                } else {
                    return "Basket Field is empty";
                }
            }
            if ($type == 'TASK') {
                if ($task_id) {
                    if ($operation == 'Insert') {
                        foreach ($user_id as $ui) {
                            $data['user_id'] = $ui;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        }
                    }
                    if ($operation == 'Update') {

                        DB::table('tai_owner_mapping_master')
                            ->where('project_id', $project_id)
                            ->where('ticket_id', $ticket_id)
                            ->where('basket_id', $basket_id)
                            ->where('task_id', $task_id)
                            ->update(['is_active' => 0]);

                        foreach ($user_id as $ui) {

                            $userExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->where('basket_id', $basket_id)
                                ->where('task_id', $task_id)
                                ->first();

                            if (!$userExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                DB::table('tai_owner_mapping_master')
                                    ->where('user_id', $ui)
                                    ->where('project_id', $project_id)
                                    ->where('ticket_id', $ticket_id)
                                    ->where('basket_id', $basket_id)
                                    ->where('task_id', $task_id)
                                    ->update(['is_active' => 1]);
                            }
                        }
                    }
                } else {
                    return "Task Field is empty";
                }
            }
            return $temp;
        }
    }

    static function mappingOld($operation, $type, $user_id, $project_id, $ticket_id = null, $basket_id = null, $task_id = null)
    {
        $data = request()->all();
        unset($data['operation'], $data['user_id']);



        if (!is_array($user_id)) {
            $user_id = explode(',', $user_id);
        }

        $temp = [];

        if ($type && $operation && $user_id && $project_id) {
            if ($type == 'PROJECT') {
                if ($operation == 'Insert') {
                    foreach ($user_id as $ui) {

                        $dataExists = DB::table('tai_owner_mapping_master')
                            ->where('user_id', $ui)
                            ->where('project_id', $project_id)
                            ->where('ticket_id', $ticket_id)
                            ->get();

                        if (!$dataExists) {
                            $data['user_id'] = $ui;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        } else {
                            return "Data Already Exists";
                        }
                    }
                }
                if ($operation == 'Update') {

                    DB::table('tai_owner_mapping_master')
                        ->where('project_id', $project_id)
                        ->update(['is_active' => 0]);

                    foreach ($user_id as $ui) {

                        $userExists = DB::table('tai_owner_mapping_master')
                            ->where('user_id', $ui)
                            ->where('project_id', $project_id)
                            ->first();

                        if (!$userExists) {
                            $data['user_id'] = $ui;
                            DB::table('tai_owner_mapping_master')->insert($data);
                        } else {
                            DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                ->where('project_id', $project_id)
                                ->update(['is_active' => 1]);
                        }
                    }
                }
            }
            if ($type == 'TICKET') {

                if ($ticket_id) {
                    if ($operation == 'Insert') {
                        foreach ($user_id as $ui) {

                            $dataExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->get();

                            if (!$dataExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                return "Data Already Exists";
                            }
                        }
                    }
                    if ($operation == 'Update') {

                        DB::table('tai_owner_mapping_master')
                            ->where('project_id', $project_id)
                            ->where('ticket_id', $ticket_id)
                            ->update(['is_active' => 0]);

                        foreach ($user_id as $ui) {

                            $userExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->first();

                            if (!$userExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                DB::table('tai_owner_mapping_master')
                                    ->where('user_id', $ui)
                                    ->where('project_id', $project_id)
                                    ->where('ticket_id', $ticket_id)
                                    ->update(['is_active' => 1]);
                            }
                        }
                    }
                } else {
                    return "Ticket Field is empty";
                }
            }
            if ($type == 'BASKET') {
                if ($basket_id) {
                    if ($operation == 'Insert') {
                        foreach ($user_id as $ui) {

                            $dataExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->where('basket_id', $basket_id)
                                ->get();

                            if (!$dataExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                return "Data Already Exists";
                            }
                        }
                    }
                    if ($operation == 'Update') {

                        DB::table('tai_owner_mapping_master')
                            ->where('project_id', $project_id)
                            ->where('ticket_id', $ticket_id)
                            ->where('basket_id', $basket_id)
                            ->update(['is_active' => 0]);

                        foreach ($user_id as $ui) {

                            $userExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->where('basket_id', $basket_id)
                                ->first();

                            if (!$userExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                DB::table('tai_owner_mapping_master')
                                    ->where('user_id', $ui)
                                    ->where('project_id', $project_id)
                                    ->where('ticket_id', $ticket_id)
                                    ->where('basket_id', $basket_id)
                                    ->update(['is_active' => 1]);
                            }
                        }
                    }
                } else {
                    return "Basket Field is empty";
                }
            }
            if ($type == 'TASK') {
                if ($task_id) {
                    if ($operation == 'Insert') {
                        foreach ($user_id as $ui) {

                            $dataExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->where('basket_id', $basket_id)
                                ->where('task_id', $task_id)
                                ->get();

                            if (!$dataExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                return "Data Already Exists";
                            }
                        }
                    }
                    if ($operation == 'Update') {

                        DB::table('tai_owner_mapping_master')
                            ->where('project_id', $project_id)
                            ->where('ticket_id', $ticket_id)
                            ->where('basket_id', $basket_id)
                            ->where('task_id', $task_id)
                            ->update(['is_active' => 0]);

                        foreach ($user_id as $ui) {

                            $userExists = DB::table('tai_owner_mapping_master')
                                ->where('user_id', $ui)
                                ->where('project_id', $project_id)
                                ->where('ticket_id', $ticket_id)
                                ->where('basket_id', $basket_id)
                                ->where('task_id', $task_id)
                                ->first();

                            if (!$userExists) {
                                $data['user_id'] = $ui;
                                DB::table('tai_owner_mapping_master')->insert($data);
                            } else {
                                DB::table('tai_owner_mapping_master')
                                    ->where('user_id', $ui)
                                    ->where('project_id', $project_id)
                                    ->where('ticket_id', $ticket_id)
                                    ->where('basket_id', $basket_id)
                                    ->where('task_id', $task_id)
                                    ->update(['is_active' => 1]);
                            }
                        }
                    }
                } else {
                    return "Task Field is empty";
                }
            }
            return $temp;
        }
    }
}
