<?php
namespace App\Library;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Hash;
use DB;
use Illuminate\Support\Facades\Storage;

class TemplateLibrary 
{
    static function checkDateOfTask($selectTemplateBasket, $dates){
        foreach ($selectTemplateBasket as $key => $value) {
                    $selectTemplateBasketTask = DB::table(
                        "tai_template_basket_task"
                    )
                        ->where("template_basket_id", $value->id)
                        ->get();

                    foreach ($selectTemplateBasketTask as $key1 => $value1) {
                        if(count($dates)>0){
                            $d1 = strtotime($dates[array_key_first($dates)]);
                            $d2 = strtotime($dates[array_key_last($dates)]);
                            $interval = (int) (($d2 - $d1) / 86400);

                            // echo $interval;
                            if ($interval < $value1->total_time) {
                                return ([
                                    "status" => 0,
                                    "message" => "Choose Proper Dates As per Template !!!",
                                    "data" => null,
                                ]);
                            }
                        }else{
                            return ([
                                    "status" => 0,
                                    "message" => "Choose Proper Dates As per Template !!!",
                                    "data" => null,
                                ]);
                        }
                    }
                }
        // return ;
    }

    static function addBusketTaskTemplate($selectTemplate, $cal_from, $selectTemplateBasket, $dates, $data, $result){
        foreach ($selectTemplateBasket as $key => $value) {
            $basketId = DB::table("tai_ticket_basket")->insertGetId([
                "tenant_id" => $data["tenant_id"],
                "ticket_id" => $result,
                "basket_name" => $value->basket_name,
                "basket_owner" => $value->basket_owner,
                "start_date" => $data["ticket_date"],
                "end_date" => $data["expected_solve_date"],
                "created_at" => $data["created_at"],
                "created_by" => $data["created_by"],
            ]);
            $selectTemplateBasketTask = DB::table(
                "tai_template_basket_task"
            )
                ->where("template_basket_id", $value->id)
                ->get();
            foreach ($selectTemplateBasketTask as $key1 => $value1) {
                $fd = $value1->days - 1;
                $td = $value1->total_time - 1;

                $d1 = strtotime($dates[array_key_first($dates)]);
                $d2 = strtotime($dates[array_key_last($dates)]);
                $interval = (int) (($d2 - $d1) / 86400);

                if ($interval < $value1->total_time) {
                    return response()->json([
                        "status" => 0,
                        "message" => "Failed !!!",
                        "data" => null,
                    ]);
                } else {
                    if ($cal_from == "START_FROM") {
                        $start_date = date(
                            "Y-m-d",
                            strtotime($dates[$fd])
                        );
                        $end_date = date(
                            "Y-m-d",
                            strtotime($dates[$td+$fd])
                        );
                    } elseif ($cal_from == "END_FROM") {
                        $end_date = date(
                            "Y-m-d",
                            strtotime($dates[array_key_last($dates)-$fd])
                        );
                        $start_date = date(
                            "Y-m-d",
                            strtotime($dates[array_key_last($dates)-($td+$fd)])
                        );
                    }

                    // $dates=TaskSupportiveController::getBetweenDates($data["ticket_date"],$data["expected_solve_date"]);
                    // print_r($dates);

                    $taskId = DB::table("tai_ticket_task")->insertGetId([
                        "tenant_id" => $data["tenant_id"],
                        "ticket_id" => $result,
                        "ticket_basket_id" => $basketId,
                        "task_name" => $value1->task,
                        "task_days" => $value1->total_time,
                        "task_hours" => CommonController::hoursandmins(($value1->total_time * 8)*60),
                        "start_date" => $start_date,
                        "end_date" => $end_date,
                        "created_at" => $data["created_at"],
                        "created_by" => $data["created_by"],
                    ]);
                }
            }
        }
            // return;
    }
     
}
?>