<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\UserController;
use App\Http\Controllers\DeviceController;

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::group(['middleware' => 'auth:sanctum'], function(){

    /*Route::post('insert', [DeviceController::class, 'insert']);

    Route::delete('delete', [DeviceController::class, 'delete']);

    Route::put('update', [DeviceController::class, 'update']);

    Route::get('get', [DeviceController::class, 'get']);*/
    
});

Route::post('login', [DeviceController::class, 'index']);

//Route::get('login_ui', [UserController::class, 'login_ui']);

Route::post('insert', [DeviceController::class, 'insert']);

Route::delete('delete', [DeviceController::class, 'delete']);

Route::put('update', [DeviceController::class, 'update']);

Route::get('get', [DeviceController::class, 'get']);